#!/bin/bash
ARGS=
FLAGS=''
DATA=''
dataPath=''
flagPath=''
hasConverter=false
tmpData=/tmp/data_from_usb/
tmpFlag=/tmp/flag_from_usb/
if [ ! -d /linuxcash/auto_storage ];then
    echo 'USB-накопитель не найден' 1>&2
    exit 1
fi
while [[ $# > 0 ]]; do
    key="$1"
    case $key in
	-d|--dataPath)
	    rm -rf $tmpData/*
	    IFS=',' read -a array <<< "$2"
	    for element in "${array[@]}"
	    do
	        dataPath=${element%/*}
		dataFile=${element##*/}
		if [ -z $DATA ];then
		    DATA="$tmpData$dataFile"
		else
		    DATA="$DATA $tmpData$dataFile"
		fi
		dataPath=/linuxcash/auto_storage/$dataPath
		if [ ! -d $dataPath ];then
		    echo 'Каталог с данными не обнаружен' 1>&2
		    exit 1
		fi
		if [ ! -d $tmpData/ ];then
		    mkdir -p $tmpData/
		fi
		cp $dataPath/* $tmpData
	    done
	    ARGS="$ARGS $1 ${DATA[@]// /,}"
	    shift 2
	    ;;
	-f|--flags)
	    IFS=',' read -a array <<< "$2"
	    for element in "${array[@]}"
	    do
	        flagPath=${element%/*}
		flagFile=${element##*/}
		if [ -z $FLAGS ];then
		    FLAGS="$tmpFlag$flagFile"
		else
		    FLAGS="$FLAGS $tmpFlag$flagFile"
		fi
		flagPath=/linuxcash/auto_storage/$flagPath
		if [ ! -d $flagPath ];then
		    echo 'Каталог с флагами не обнаружен' 1>&2
		    exit 1
		fi
		if [ ! -d $tmpFlag ];then
		    mkdir -p $tmpFlag
		fi
		cp $flagPath/* $tmpFlag
	    done
	    ARGS="$ARGS $1 ${FLAGS[@]// /,}"
	    shift 2
	    ;;
	-v|--converter)
	    hasConverter=true
        ARGS="$ARGS $1 $2"
        shift 2
        ;;
    esac
done
if [ $hasConverter == false ];then
    echo 'Не указан тип обмена' 1>&2
    exit 1
fi
if [ -z $dataPath ];then
    echo 'Не указан путь к справочникам' 1>&2
    exit 1
fi

if [ -z $flagPath ];then
    echo 'Не указан путь к файлам-флагам' 1>&2
    exit 1
fi

/linuxcash/cash/exchangesystems/exchangers/scripts/cash/upload.sh $ARGS
