# -*- coding: UTF-8 -*-

import sys
import os
import signal
import traceback

sys.path[0] = os.path.normpath('%s/../../..' % sys.path[0])
from upload.fam import fam
from common import config, logger, statuses
from common.statuses import upload as st

log = logger.getUploadLogger("main")
log.info(u"Запуск сервиса прогрузки справочников")


def stop(signum, frame):
    fam.stop()


signal.signal(signal.SIGTERM, stop)

if not config.isValid():
    statuses.setUploadStatus(st.ERROR_READ_INI)
    log.error(u"Файл настроек %s не найден" % config.getConffiles())
    exit(1)

try:
    statuses.setUploadStatus(st.PROGRAM_START)
    fam.start()
except Exception as e:
    statuses.setUploadStatus(st.ERROR_PROGRAM_START)
    log.error(u'%s' % traceback.format_exc())
